Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05102 Misc. Minor Always Jan 9, 2013, 20:06 Apr 4, 2022, 21:20
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To enik Resolution Fixed OS
Status [?] Resolved Driver
Version 0.147u4 Fixed in Version 0.242 Build
Fixed in Git Commit 91526a0 Github Pull Request #
Summary 05102: playch10.c games, jantouki, janyuki: Top and bottom screen reversed
Description For all playch10.c games and the dynax.c games jantouki and janyuki are the top and bottom screen reversed. You can check this
by changing the vertical position of the 'bottom' screen in MAME's Slider Controls menu for example (see animated GIF).
Or you changed the MCFG_SCREEN_VISIBLE_AREA values for "top" or "bottom" screen in the drivers.
This is not happend in the punchout.c games.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems playch10.c games, jantouki, janyuki
Attached Files
gif file icon pc_1942 - Slider Controls menu.gif (124,200 bytes) Jan 9, 2013, 20:06 Uploaded by M.A.S.H.
M.A.S.H.
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.19994
kmg
Tester
Apr 3, 2022, 20:01
edited on: Apr 3, 2022, 20:02
This can be closed now I think.
Enik fixed PC-10 in https://github.com/mamedev/mame/commit/f689d76ed583180273567badcf04f4e959a8225c
The other two were fixed in https://github.com/mamedev/mame/commit/91526a0eeb0a2eaf990bf1dd6d3b0f52db98d369

Credit to Enik please.